ru.bitel.bgbilling.kernel.contract.label.common.bean

## Enum ContractLabelType

- java.lang.Object
- - java.lang.Enum<ContractLabelType>
  - - ru.bitel.bgbilling.kernel.contract.label.common.bean.ContractLabelType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContractLabelType>

      public enum ContractLabelType
      extends java.lang.Enum<ContractLabelType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GROUP` Корневая категория групп
    `GROUP_ITEM` Группа
    `LABEL` Корневая категория меток
    `LABEL_ITEM` Метка

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContractLabelType` | `getType(int ordinal)`
    `static ContractLabelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContractLabelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GROUP

          public static final ContractLabelType GROUP

      Корневая категория групп

    - #### GROUP_ITEM

          public static final ContractLabelType GROUP_ITEM

      Группа

    - #### LABEL

          public static final ContractLabelType LABEL

      Корневая категория меток

    - #### LABEL_ITEM

          public static final ContractLabelType LABEL_ITEM

      Метка

  - ### Method Detail

    - #### values

          public static ContractLabelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContractLabelType c : ContractLabelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContractLabelType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public static ContractLabelType getType(int ordinal)